<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.sleep">

    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.SENSOR_INFO" />
    <uses-permission android:name="android.permission.SENSOR_ENABLE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.INTERNET" />

    <uses-permission android:name="android.permission.CAMERA"/>

    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />


    <application
        android:name="com.example.sleep.App"
        android:allowBackup="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity android:name=".SplashActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".activity.LoginActivity"
            android:theme="@style/Theme.NoAction"/>

        <activity
            android:name=".activity.RegisterActivity"
            android:theme="@style/Theme.NoAction"/>

        <activity
            android:name="com.example.sleep.MainScreen"

            android:launchMode="standard"
            android:theme="@style/Theme.NoAction" />

        <activity
            android:name="com.example.sleep.Record"
            android:launchMode="standard" />

        <activity
            android:name="com.example.sleep.SleepresultScreen"
            android:launchMode="standard" />

        <activity
            android:name="com.example.sleep.SleepMonitoringScreen"
            android:launchMode="standard"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen" />

        <activity
            android:name="com.example.sleep.AfterSleep"
            android:launchMode="singleTask" />

        <activity
            android:name="com.example.sleep.CalendarPage"
            android:theme="@style/Theme.NoAction" />

        <service
            android:name="com.example.sleep.service.DaemonService"
            android:enabled="true"
            android:process=":daemon_service" />

        <service
            android:name="com.example.sleep.service.SensorService"
            android:process=":work" />

        <service
            android:name="com.example.sleep.service.GoSleepService"
            android:enabled="true"
            android:process=":go_sleep" />

        <receiver android:name="com.example.sleep.GoSleepBroadcastReceiver">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
        </receiver>

        <service
            android:name="com.example.sleep.service.PlayerMusicService"
            android:enabled="true"
            android:process=":music_service" />

        <service
            android:name="com.example.sleep.service.MediaService"
            android:enabled="true" />

        <service
            android:name="com.example.sleep.service.AliveJobService"
            android:permission="android.permission.BIND_JOB_SERVICE" />

        <service
            android:name="com.example.sleep.service.GrayService"
            android:enabled="true"
            android:process=":gray_service" />

        <meta-data
            android:name="preloaded_fonts"
            android:resource="@array/preloaded_fonts" />

        <activity
            android:name=".EditScreen"/>

        <receiver android:name=".AlarmReceiver" />


    </application>

</manifest>